# Deleting a Specified Topic Attribute

#### Description

- API name

  DeleteTopicAttributeByName

- Function

  Delete a specified topic attribute.

#### URI

- URI format

  DELETE /v2/{project_id}/notifications/topics/{topic_urn}/attributes/{name}

- Parameter description

  Parameter | Mandatory | Type | Description
  --- | --- | --- | ---
  project_id | Yes | String | Project ID See Obtaining a Project ID.
  topic_urn | Yes | String | Unique resource ID of a topic. You can obtain it according to Querying Topics.
  name | Yes | String | Attribute name Only specified attribute names are supported. For details, see section Topic Attribute List.

#### Request

Example request

    DELETE https://{SMN_Endpoint}/v2/{project_id}/notifications/topics/{topic_urn}/attributes/access_policy

#### Response

- Parameter description

  Parameter | Type | Description
  --- | --- | ---
  request_id | String | Request ID, which is unique

- Example response

      {
          "request_id":"6837531fd3f54550927b930180a706bf"
      }

#### Returned Value

See Returned Value.

#### Error Code

See Error Code.

Parent topic: Topic Operations